> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Unarchive boxes

POST https://{tenant_name}.benchling.com/api/v2/boxes:unarchive
Content-Type: application/json

Unarchive boxes and the containers that were archived along with them

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/boxes/unarchive-boxes

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a BoxesUnarchive.

- `boxIds` (list of string, required) — Array of box IDs

## Response

### 200

OK

- `boxIds` (list of string, optional)
- `containerIds` (list of string, optional)

## Examples

**Request**

```json
{
  "boxIds": [
    "string"
  ]
}
```

**Response**

```json
{
  "boxIds": [
    "string"
  ],
  "containerIds": [
    "string"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/boxes:unarchive"

payload = { "boxIds": ["string"] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/boxes:unarchive';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"boxIds":["string"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```